SIP

Create SIP endpoint

This endpoint allows you to create new SIP endpoint. Creation parameters are passed in body, look for specification below. If userpass authentication method is chosen and password is not provided, there will be generated password in response. Make sure to store it.

POST
/api/v1/sip/endpoints

Header Parameters

Authorization*string

Your API token

Request Body

application/json

SIP endpoint creation parameters

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://dev-refactor-api-e.voipenv.uk/api/v1/sip/endpoints" \  -H "Authorization: string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "endpoint": {
    "auth": "ip",
    "created_at": "string",
    "description": "string",
    "disabled_at": "string",
    "id": 0,
    "ip_acl": "string",
    "is_active": true,
    "name": "string",
    "username": "string"
  },
  "password": "string"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
Form Call To Action

Contact us

You can always send us a message or email. Weʼd be happy to help you out.